# CompV3Transfer

### Description

Transfer amount of specified collateral to another wallet.

> **Notes**
>
> Transfer amount of supplied assets from one address to another. Amount type(uint).max will transfer the whole amount of supplied assets.

### Action ID

`0xc7443570`

### SDK Action

```ts
const compoundV3TransferAction = new dfs.actions.compoundV3.CompoundV3TransferAction(
    market,
    from,
    to,
    asset,
    amount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param market Main Comet proxy contract that is different for each compound market
    /// @param from Address of the sender
    /// @param to Address of the receiver
    /// @param tokenAddr Address of the token to be transferred
    /// @param amount Amount of tokens to be transferred
    struct Params {
        address market;
        address from;
        address to;
        address tokenAddr;
        uint256 amount;
    }
```

### Return Value

```solidity
return bytes32(withdrawAmount);
```

### Events and Logs

```solidity
emit ActionEvent("CompV3Transfer", logData);
logger.logActionDirectEvent("CompV3Transfer", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/compound-v3/compv3transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
